Observations
curl --request GET \
--url https://www.prometheus.services/api/v1/companies/{id}/observations \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/companies/{id}/observations"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/companies/{id}/observations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cik": [
"0001045810"
],
"observations": [
{
"id": 17583,
"eventFamily": "leadership",
"eventType": "leadership_appointed",
"subject": "Nicholas Parker",
"action": "appointed",
"eventDate": "2026-08-24",
"eventDateKind": "effective",
"filingDate": "2026-07-02",
"summary": "Appointed: Nicholas Parker — Executive Vice President, Worldwide Field Operations",
"headline": null,
"supportingQuote": "On July 1, 2026, the Company appointed Nicholas Parker, age 55, as Executive Vice President, Worldwide Field Operations of the Company, effective upon the comme…",
"metadata": null,
"facts": null,
"accessionNumber": "0001045810-26-000060",
"itemCode": "5.02",
"itemName": "Departure of Directors or Certain Officers; Election of Directors; Appointment of Certain Officers: Compensatory Arrangements of Certain Officers",
"trust": "verified"
},
{
"id": 17505,
"eventFamily": "leadership",
"eventType": "leadership_appointed",
"subject": "Suzanne Nora Johnson",
"action": "appointed",
"eventDate": "2026-07-13",
"eventDateKind": "effective",
"filingDate": "2026-05-08",
"summary": "Appointed: Suzanne Nora Johnson",
"headline": null,
"supportingQuote": "On May 7, 2026, the Board of Directors, or the Board, of NVIDIA Corporation appointed Suzanne Nora Johnson as a member of the Board and as a member of the Audit…",
"metadata": null,
"facts": null,
"accessionNumber": "0001045810-26-000028",
"itemCode": "5.02",
"itemName": "Departure of Directors or Certain Officers; Election of Directors; Appointment of Certain Officers: Compensatory Arrangements of Certain Officers",
"trust": "verified"
},
{
"id": 17582,
"eventFamily": "leadership",
"eventType": "leadership_retired",
"subject": "Ajay K. Puri",
"action": "retired",
"eventDate": null,
"eventDateKind": "effective",
"filingDate": "2026-07-02",
"summary": "Retired: Ajay K. Puri — Executive Vice President, Worldwide Field Operations",
"headline": null,
"supportingQuote": "On June 28, 2026, Ajay K. Puri, Executive Vice President, Worldwide Field Operations of NVIDIA Corporation, or the Company, notified the Company of his intentio…",
"metadata": null,
"facts": null,
"accessionNumber": "0001045810-26-000060",
"itemCode": "5.02",
"itemName": "Departure of Directors or Certain Officers; Election of Directors; Appointment of Certain Officers: Compensatory Arrangements of Certain Officers",
"trust": "verified"
}
]
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Transcripts & Calls
Observations
Verified observations extracted from filings and calls.
GET
/
api
/
v1
/
companies
/
{id}
/
observations
Observations
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Ticker symbol (e.g. NVDA) or numeric SEC CIK (zero-padding optional).
Query Parameters
Observation family, e.g. dividend.
Include rows still under review (1).
Response
OK
The response is of type object.
⌘I